![image](https://user-images.githubusercontent.com/27461460/75094417-20321b00-55ce-11ea-8de7-a1df42a4b7df.png)

---

[![Version](http://img.shields.io/npm/v/react-native-iap.svg?style=flat-square)](https://npmjs.org/package/react-native-iap)
[![Next Version](https://img.shields.io/npm/v/react-native-iap/next)](https://npmjs.org/package/react-native-iap)
[![Download](http://img.shields.io/npm/dm/react-native-iap.svg?style=flat-square)](https://npmjs.org/package/react-native-iap)
[![Backers and Sponsors](https://img.shields.io/opencollective/all/react-native-iap.svg)](https://opencollective.com/react-native-iap)
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fhyochan%2Freact-native-iap.svg?type=shield&issueType=license)](https://app.fossa.com/projects/git%2Bgithub.com%2Fhyochan%2Freact-native-iap?ref=badge_shield&issueType=license)

---

## 🚨 Important Announcement: Migration to expo-iap

**react-native-iap will be replaced by [expo-iap](https://github.com/hyochan/expo-iap)** for improved maintenance and better compatibility with modern React Native development.

### Why the change?

- Better maintenance and faster updates
- Full StoreKit 2 support for iOS
- Modern architecture using Expo Modules
- Works with both Expo and bare React Native projects

### Learn more

- 📢 [Official announcement on X](https://x.com/hyodotdev/status/1939420943665049961)
- 💬 [Discussion #2754](https://github.com/hyochan/react-native-iap/discussions/2754)
- 🚀 [expo-iap repository](https://github.com/hyochan/expo-iap)

The [expo-iap](https://github.com/hyochan/expo-iap) library is production-ready with full support for StoreKit 2 and Google Play Billing Library v6+.

### About This Update (v13.0.0)

**This update focuses on API compatibility with expo-iap and will be the final major release.**

- 🔄 **API Synchronization**: Maximum compatibility with expo-iap API specifications
- ⚠️ **Deprecation Notice**: react-native-iap will be deprecated in favor of expo-iap
- 🚫 **No Further Updates**: No additional feature updates or major releases are planned
- 🏗️ **Modern Features**: For TurboModules support and latest React Native features, please migrate to [expo-iap](https://github.com/hyochan/expo-iap)

**Migration is highly recommended** for:

- TurboModules support
- Better performance and stability
- Continued updates and support
- Modern React Native architecture

## Documentation

Read the [documentation](https://react-native-iap.hyo.dev). See the [troubleshooting](https://react-native-iap.hyo.dev/docs/guides/troubleshooting#common-issues) for the common issues to avoid.

## Configuration of Play Store & App Store Connect

- Please refer to this [Blog post](https://medium.com/p/121622d26b67).

## Example

Follow [this guide](./IapExample/README.md) to get the example running.

## Sponsors

### <p style="color: gold;">Gold Tier</p>

<a href="https://www.courier.com/?utm_source=react-native-iap&utm_campaign=osssponsors">
    <img width="420" alt="courier_dot_com" src="https://github.com/user-attachments/assets/319d8966-6839-498d-8ead-ce8cc72c3bca" />
</a>

## Past Sponsors

<a href="https://namiml.com"><img src="https://github.com/hyochan/react-native-iap/assets/27461460/89d71f61-bb73-400a-83bd-fe0f96eb726e" width="280"/></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="https://www.revenuecat.com"><img src="https://github.com/hyochan/react-native-iap/assets/27461460/1e387a47-afe0-4b85-ad78-1064ca6623fa" width="100"/></a>

Support this project by becoming a sponsor. Your logo will show up here with
a link to your website. [Buy me a coffee](https://www.buymeacoffee.com/hyochan) or
[Become a sponsor](https://opencollective.com/react-native-iap#sponsor).
<a href="https://opencollective.com/react-native-iap#sponsors" target="_blank"><img src="https://opencollective.com/react-native-iap/sponsors.svg?width=890" /></a>

### Backers

Please be our [Backers](https://opencollective.com/react-native-iap#backer).
<a href="https://opencollective.com/react-native-iap#backers" target="_blank"><img src="https://opencollective.com/react-native-iap/backers.svg?width=890" /></a>

### Contributing

Please make sure to read the [Contributing Guide](https://github.com/hyochan/react-native-iap/blob/main/CONTRIBUTING.md) before making a pull request.
Thank you to all the people who helped to maintain and upgrade this project!

<a href="graphs/contributors"><img src="https://opencollective.com/react-native-iap/contributors.svg?width=890" /></a>

---

[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fhyochan%2Freact-native-iap.svg?type=large&issueType=license)](https://app.fossa.com/projects/git%2Bgithub.com%2Fhyochan%2Freact-native-iap?ref=badge_large&issueType=license)
